import React, { FC } from "react";
import { Linking } from "react-native";
import { Ionicons } from "@expo/vector-icons";
import { TicketBox } from "@/components/atom/TicketBox";
type Props = {
  address: string;
  press: () => void;
};
export const TrainBusButton: FC<Props> = ({ address, press }) => {
  return (
    <TicketBox
      backgroundColor={"#CE5C00"}
      icon={<Ionicons name="bus" color="white" size={50} />}
      flex={1}
      onPressButton={press}
      onLongPressButton={() => Linking.openURL(address)}
    >
      並行バス
    </TicketBox>
  );
};
